<?php

class wpe_add_settings_page_class {
	
	
	private $general_settings_key = 'wse_general_settings';
	private $plugin_options_key = 'wse_plugin_options';
	private $advanced_settings_key = 'wse_advanced_settings';
	
	
	function __construct() {
		add_action( 'init', array( &$this, 'load_settings' ) );
		add_action( 'admin_init', array( &$this, 'register_general_settings' ) );
		add_action( 'admin_init', array( &$this, 'register_advanced_settings' ) );
		add_action( 'admin_menu', array( &$this, 'add_admin_menus' ) ,100);
		add_action( 'admin_enqueue_scripts', array(&$this, 'wps_register_admin_scripts'));
	}
	
	
	function load_settings() {
		$this->general_settings = (array) get_option( $this->general_settings_key );
		$this->advanced_settings = (array) get_option( $this->advanced_settings_key );
		
		$this->general_settings = array_merge( array(
		), $this->general_settings );
		
		$this->advanced_settings = array_merge( array(
		), $this->advanced_settings );
		
	}
	
	/*
	 * registers admin scripts via admin enqueue scripts
	 */
	function wps_register_admin_scripts($hook) {
	        global $general_wpesettings_page;
			
			if( $hook != $general_wpesettings_page ) 
		     return;
 
		 wp_enqueue_script( 'jquery-1.8.3', ''.wse_PLUGIN_URL.'assets/js/jquery-1.8.3.js');
		 wp_enqueue_script( 'wpsadmin', ''.wse_PLUGIN_URL.'assets/js/wpsadmin.js' );
		 wp_enqueue_script( 'chosen.jquery', ''.wse_PLUGIN_URL.'assets/js/chosen.jquery.js' );
		 wp_enqueue_script( 'bootstrap-min', ''.wse_PLUGIN_URL.'assets/js/bootstrap-min.js' );
		 
         
		 wp_enqueue_style( 'wpsadmin', ''.wse_PLUGIN_URL.'assets/css/wpsadmin.css' );
		 wp_enqueue_style ( 'bootstrap',''.wse_PLUGIN_URL.'assets/css/bootstrap.css');
		 wp_enqueue_style ( 'chosen.min',''.wse_PLUGIN_URL.'assets/css/chosen.min.css');
		 
		 $translation_array = array( 
		 'removealert' => __( 'Are you sure you want to delete?' ,'pcn'),
		 'cartnotice' => __( 'Shipping Estimate ' ,'pcn'),
		 'placeholder' => __( 'Search and Select ' ,'pcn')
		 );
         wp_localize_script( 'wpsadmin', 'wpsadmin', $translation_array );
	}
	
	
	function register_general_settings() {
		$this->plugin_settings_tabs[$this->general_settings_key] = 'Shipping Estimates';
		
		register_setting( $this->general_settings_key, $this->general_settings_key );
		add_settings_section( 'section_general', '', '', $this->general_settings_key );
		add_settings_field( 'general_option', '', array( &$this, 'field_general_option' ), $this->general_settings_key, 'section_general' );
	}
	

    function register_advanced_settings() {
		$this->plugin_settings_tabs[$this->advanced_settings_key] = 'Settings';
		
		register_setting( $this->advanced_settings_key, $this->advanced_settings_key );
		add_settings_section( 'section_advanced', '', '', $this->advanced_settings_key );
		add_settings_field( 'advanced_option', '', array( &$this, 'field_advanced_option' ), $this->advanced_settings_key, 'section_advanced' );
	}
	

	
	
	function field_general_option() {
	    
	    $generalsettings=$this->general_settings;
		$generalsettings = array_filter( $generalsettings );
	     
		
		

        
	    ?>
        <input type="button" class="btn btn-warning btn-add-panel" value="<?php _e('Add Shipping Estimate','pcn'); ?>">  <br /><br />
		<?php if (empty($generalsettings)) {
		$noticerowno = 1;
		?>
        <script>
		 var hash = <?php echo $noticerowno; ?>;
		 
		 

		</script>
         <div class="panel-group" id="accordion">
		
		  <div class="alert alert-info" role="alert"><?php _e('No Shipping Estimates found. Click on "Add Shipping Estimate" button to add new notice.','pcm'); ?></div>
         </div>
	    <?php } else { 
		$noticerowno = 1;
		 ?>
        
         <div class="panel-group" id="accordion">
		<?php foreach ($generalsettings as $generalsetting) { 
		
		 if (!empty($generalsetting['products'])) {
		    $chosenproducts = implode(',', $generalsetting['products']); 
			 } else { $chosenproducts=''; }
			 
		 if (!empty($generalsetting['notice_days'])) {
		    $chosendays = implode(',', $generalsetting['notice_days']); 
			 } else { $chosendays=''; }
		
		 if (!empty($generalsetting['categories'])) { $chosencategories = implode(',', $generalsetting['categories']); } else { $chosencategories=''; } 
		
		 if (!empty($generalsetting['notice_roles'])) { $chosenrolls = implode(',', $generalsetting['notice_roles']); } else { $chosenrolls=''; } ?>
		 
          <div class="panel-group panel panel-default" style="display:block;">
           <div class="panel-heading"> <span class="glyphicon glyphicon-remove-circle pull-right "></span>
            <h4 class="panel-title">
             <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#wse<?php echo $noticerowno; ?>">
             <?php if (isset($generalsetting['estimate_name']) && ($generalsetting['estimate_name'] != '')) { echo  $generalsetting['estimate_name'];} else { echo __('Shipping Estimate ','pcn');  echo $noticerowno; } ?>
			 </a>
             </h4>
           </div>
           <div id="wse<?php echo $noticerowno; ?>" class="panel-collapse collapse">
			  <table class="table">
			  <tr>
			  <td>
              <label for="estimate_name"><?php  _e('Shipping Estimate Name (optional)','pcn'); ?></label>
	          </td>
			  <td>
			  <input type="text" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][estimate_name]" id="estimate_name" value="<?php if (isset($generalsetting['estimate_name']) && ($generalsetting['estimate_name'] != '')) { echo  $generalsetting['estimate_name'];} ?>" size="48">
              </td>
			  </tr>
			  <tr>
			  <td>
              <label for="codes"><?php  _e('Area codes/ Zip Codes ','wse'); ?></label>
			  <p><?php  _e('Enter area codes separated by comma (,) for example :1020,1030,1040','wse'); ?></p>
			  <p><?php  _e('you can also enter range separated by dash(-) in numeric values.For example :100-200,201-300','wse'); ?></p>
	          </td>
			  <td>
			  <textarea name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][codes]"  class="wsecodes" rows="3" cols="50"><?php if (isset($generalsetting['codes']) && ($generalsetting['codes'] != '')) { echo  $generalsetting['codes'];} ?></textarea>
	          </td>
			  </tr>
			  <tr>
			  <td><label for="estimate_name"><?php  _e('Select Features','wse'); ?></label></td>
			  <td>
			   
			   
			   <input type="checkbox" class="wsecheckbox2" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][checkbox2]" value="yes" <?php if (isset($generalsetting['checkbox2']) && ($generalsetting['checkbox2'] == "yes")) { echo 'checked'; } ?>>
			   <label><?php  _e('Show Estimated Delivery Date Information','wse'); ?></label> <br />
			   <input type="checkbox" class="wsecheckbox3" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][checkbox3]" value="yes" <?php if (isset($generalsetting['checkbox3']) && ($generalsetting['checkbox3'] == "yes")) { echo 'checked'; } ?>>
			   <label><?php  _e('Show Cash On Delivery Information','wse'); ?></label> <br />
			   <input type="checkbox" class="wsecheckbox4" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][checkbox4]" value="yes" <?php if (isset($generalsetting['checkbox4']) && ($generalsetting['checkbox4'] == "yes")) { echo 'checked'; } ?>>
			   <label><?php  _e('Show Extra Shipping Cost Information','wse'); ?></label> <br />
			   <input type="checkbox" class="wsecheckbox5" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][checkbox5]" value="yes" <?php if (isset($generalsetting['checkbox5']) && ($generalsetting['checkbox5'] == "yes")) { echo 'checked'; } ?>>
			   <label><?php  _e('Show Courier Information','wse'); ?></label> <br />
			   <input type="checkbox" class="wsecheckbox6" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][checkbox6]" value="yes" <?php if (isset($generalsetting['checkbox6']) && ($generalsetting['checkbox6'] == "yes")) { echo 'checked'; } ?>>
			   <label><?php  _e('Show Custom Text','wse'); ?></label> <br />
               
			  </td>
			  </tr>
			  <tr id="wse<?php echo $noticerowno; ?>savailability" class="savailability" style="">
			  <td>
              <label for="savailability"><?php  _e('Is shipping available to this areas ','wse'); ?></label>
	          </td>
			  <td>
			  <select class="shipping_availability" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][shipping_availability]" style="width:300px">
			     <option value="yes" <?php if ((isset($generalsetting['shipping_availability'])) && ($generalsetting['shipping_availability'] == "yes")) { echo "selected"; } ?>><?php echo __('Yes','wse'); ?></option>
				 <option value="no" <?php if ((isset($generalsetting['shipping_availability'])) && ($generalsetting['shipping_availability'] == "no")) { echo "selected"; } ?>><?php echo __('No','wse'); ?></option>
			  </select>
	          </td>
			  </tr>
			  <tr id="wse<?php echo $noticerowno; ?>sdeliverydays" class="sdeliverydays" style="<?php if (isset($generalsetting['checkbox2']) && ($generalsetting['checkbox2'] == "yes")) { echo 'display:;'; } else { echo 'display:none;';}?>">
			  <td>
              <label for="delivery_days"><?php  _e('Estimated delivery time (in days) ','wse'); ?></label>
	          </td>
			  <td>
			  <input class="delivery_days" type="text" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][delivery_days]" value="<?php if ((isset($generalsetting['delivery_days'])) && ($generalsetting['delivery_days'] != '')) { echo $generalsetting['delivery_days']; } ?>" size="48">
			  </td>
			  </tr>
			  <tr id="wse<?php echo $noticerowno; ?>scod" class="scod" style="<?php if (isset($generalsetting['checkbox3']) && ($generalsetting['checkbox3'] == "yes")) { echo 'display:;'; } else { echo 'display:none;';}?>">
			  <td>
              <label for="savailability"><?php  _e('Is Cash on Delivery available to this areas ','wse'); ?></label>
	          </td>
			  <td>
			  <select class="cod_availability" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][cod_availability]" style="width:300px">
			     <option value="yes" <?php if ((isset($generalsetting['cod_availability'])) && ($generalsetting['cod_availability'] == "yes")) { echo "selected"; } ?>><?php echo __('Yes','wse'); ?></option>
				 <option value="no" <?php if ((isset($generalsetting['cod_availability'])) && ($generalsetting['cod_availability'] == "no")) { echo "selected"; } ?>><?php echo __('No','wse'); ?></option>
			  </select>
	          </td>
			  </tr>
			  <tr id="wse<?php echo $noticerowno; ?>sextracost" class="sextracost" style="<?php if (isset($generalsetting['checkbox4']) && ($generalsetting['checkbox4'] == "yes")) { echo 'display:;'; } else { echo 'display:none;';}?>">
			  <td>
              <label for="shipping_cost"><?php  _e('Extra Shipping Cost (in numbers) ','wse'); ?></label>
	          </td>
			  <td>
			  <input class="shipping_cost" type="text" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][shipping_cost]" value="<?php if ((isset($generalsetting['shipping_cost'])) && ($generalsetting['shipping_cost'] != '')) { echo $generalsetting['shipping_cost']; } ?>" size="48">
			  </td>
			  </tr>
			  
			  <tr id="wse<?php echo $noticerowno; ?>couriorname" class="couriorname" style="<?php if (isset($generalsetting['checkbox5']) && ($generalsetting['checkbox5'] == "yes")) { echo 'display:;'; } else { echo 'display:none;';}?>">
			  <td>
              <label for="courior_name"><?php  _e('Enter Courier Name ','wse'); ?></label>
	          </td>
			  <td>
			  <input class="courior_name" type="text" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][courior_name]" value="<?php if ((isset($generalsetting['courior_name'])) && ($generalsetting['courior_name'] != '')) { echo $generalsetting['courior_name']; } ?>" size="48">
			  </td>
			  </tr>
			  
			  <tr id="wse<?php echo $noticerowno; ?>couriorurl" class="couriorurl" style="<?php if (isset($generalsetting['checkbox5']) && ($generalsetting['checkbox5'] == "yes")) { echo 'display:;'; } else { echo 'display:none;';}?>">
			  <td>
              <label for="courior_url"><?php  _e('Enter Courier Site Url ','wse'); ?></label>
	          </td>
			  <td>
			  <input class="courior_url" type="text" name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][courior_url]" value="<?php if ((isset($generalsetting['courior_url'])) && ($generalsetting['courior_url'] != '')) { echo $generalsetting['courior_url']; } ?>" size="48">
			  </td>
			  </tr>
			  
              <tr id="wse<?php echo $noticerowno; ?>customtext" class="customtexttr" style="<?php if (isset($generalsetting['checkbox6']) && ($generalsetting['checkbox6'] == "yes")) { echo 'display:;'; } else { echo 'display:none;';}?>">
			  <td>
              <label for="customtext"><?php  _e('Custom Text ','wse'); ?></label>
			  			   <p><?php  _e('This text will be displayed at the end of output.You can also use ','wse'); ?><a href="<?php echo home_url(); ?>/wp-admin/admin.php?page=wse_plugin_options&tab=wse_advanced_settings#wse-variables"><?php _e('variables','wse'); ?></a> <?php _e('inside text .','wse'); ?></p>
	          </td>
			  <td>
			  <textarea name="<?php echo $this->general_settings_key; ?>[<?php echo $noticerowno; ?>][customtext]"  class="wsecustomtext" rows="3" cols="50"><?php if (isset($generalsetting['customtext']) && ($generalsetting['customtext'] != '')) { echo  $generalsetting['customtext'];} ?></textarea>
	          </td>
			  </tr>
			  
		
			  </table>
			</div>
			
          </div>
         
		  <?php 
		  $noticerowno++;
		  }
		  ?>
         
		 
		    <script>
		      var hash = <?php echo $noticerowno; ?>;
		    </script>
		<?php  }  ?>
		
		     
          <div class="panel-group panel panel-default noticerow">
           <div class="panel-heading"> <span class="glyphicon glyphicon-remove-circle pull-right "></span>
            <h4 class="panel-title">
             <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="">
              <?php _e('Cart Notice ','wse'); ?> <?php echo $noticerowno; ?>
			 </a>
            </h4>
           </div>
           <div id="" class="panel-collapse collapse">
			  <table class="table">
			  <tr>
			  <td>
              <label for="notice_name"><span class="pcnformfield"><?php echo __('Shipping Estimate Name (optional)','wse'); ?></span></label>
	          </td>
			  <td>
			  <input type="text" name="" class="wsenoticename" id="notice_name" value="" class="regular-text" size="48">
              </td>
			  </tr>
			   <tr>
			  <td>
              <label for="codes"><?php  _e('Area codes/ Zip Codes ','wse'); ?></label>
			  <p><?php  _e('Enter area codes separated by comma (,) for example :1020,1030,1040','wse'); ?></p>
			  <p><?php  _e('you can also enter range separated by dash(-) in numeric values.For example :100-200,201-300','wse'); ?></p>
	          </td>
			  <td>
			  <textarea name=""  class="wsecodes" rows="3" cols="50"></textarea>
	          </td>
			  </tr>
			  <tr>
              <td><label for="notice_name"><?php  _e('Select Features','wse'); ?></label></td>
			  <td>
			   
			  
			   <input type="checkbox" class="wsecheckbox2" name="" value="yes"> 
			   <label><?php  _e('Show Estimated Delivery Date Estimate','wse'); ?></label> <br />
			   <input type="checkbox" class="wsecheckbox3" name="" value="yes" >
			   <label><?php  _e('Show Cash On Delivery Estimate','wse'); ?></label> <br />
			   <input type="checkbox" class="wsecheckbox4" name="" value="yes" >
			   <label><?php  _e('Show Extra Shipping Cost Information','wse'); ?></label> <br />
			   <input type="checkbox" class="wsecheckbox5" name="" value="yes" >
			   <label><?php  _e('Show Courier Information','wse'); ?></label> <br />
			   <input type="checkbox" class="wsecheckbox6" name="" value="yes" >
			   <label><?php  _e('Show Custom Text','wse'); ?></label> <br />
			   
               
			  </td>
			  </tr>
			  <tr class="savailability" style="">
			  <td>
              <label for="savailability"><?php  _e('Is shipping available to this areas ','wse'); ?></label>
	          </td>
			  <td>
			  <select class="shipping_availability" name="" style="width:300px">
			     <option value="yes" ><?php echo __('Yes','wse'); ?></option>
				 <option value="no" ><?php echo __('No','wse'); ?></option>
			  </select>
	          </td>
			  </tr>
			  <tr id="" class="sdeliverydays" style="display:none;">
			  <td>
              <label for="delivery_days"><?php  _e('Estimated delivery time (in days) ','wse'); ?></label>
	          </td>
			  <td>
			  <input class="delivery_days" type="text" name="" value="" size="48">
			  </td>
			  </tr>
			  <tr id="" class="scod" style="display:none;">
			  <td>
              <label for="savailability"><?php  _e('Is Cash on Delivery available to this areas ','wse'); ?></label>
	          </td>
			  <td>
			  <select class="cod_availability" name="" style="width:300px">
			     <option value="yes"><?php echo __('Yes','wse'); ?></option>
				 <option value="no"><?php echo __('No','wse'); ?></option>
			  </select>
	          </td>
			  </tr>
			  <tr id="" class="sextracost" style="display:none;">
			  <td>
              <label for="shipping_cost"><?php  _e('Extra Shipping Cost (in numbers) ','wse'); ?></label>
	          </td>
			  <td>
			  <input class="shipping_cost" type="text" name="" size="48">
			  </td>
			  </tr>
			  <tr id="" class="couriorname" style="display:none;">
			  <td>
              <label for="courior_name"><?php  _e('Enter Courier Name ','wse'); ?></label>
	          </td>
			  <td>
			  <input class="courior_name" type="text" name="" value="" size="48">
			  </td>
			  </tr>
			  
			  <tr id="" class="couriorurl" style="display:none;">
			  <td>
              <label for="courior_url"><?php  _e('Enter Courier Site Url ','wse'); ?></label>
	          </td>
			  <td>
			  <input class="courior_url" type="text" name="" value="" size="48">
			  </td>
			  </tr>
			  <tr id= "" class="customtexttr" style="display:none;">
			  <td>
              <label for="customtext"><?php  _e('Custom Text','wse'); ?></label>
			   <p><?php  _e('This text will be displayed at the end of output.You can also use ','wse'); ?><a href="<?php echo home_url(); ?>/wp-admin/admin.php?page=wse_plugin_options&tab=wse_advanced_settings#wse-variables">variables</a> <?php _e('inside text .','wse'); ?></p>
			  </td>
			  <td>
			  <textarea name=""  class="wsecustomtext" rows="3" cols="50"></textarea> 
			  </td>
			  </tr>
			
			 
		
			  </table>
			</div>
           </div>
          
		
         </div> <?php
	

  
		
	}
	
	function field_advanced_option() { 
	   $advancedsettings=$this->advanced_settings;
	   $postargs = array(
	      'posts_per_page'           => -1,
	      'post_type'                => 'product',
	     );
    	 
        $catargs = array(
	      'orderby'                  => 'name',
	      'taxonomy'                 => 'product_cat',
	      'hide_empty'               => 0
	     );
		 
		$posts_array          = get_posts( $postargs );   
		$categories           = get_categories( $catargs );  
		
		$availstring1         = __('{right_image} Shipping Available at : {area_code}','wse');
		$availstring2         = __('{wrong_image} Shipping Not Available at : {area_code}','wse');
		$eddstring            = __('{right_image} Estimated Delivery Date : {edd_date}','wse');
		$cod1                 = __('{right_image} Cash on delivery is available','wse');
		$cod2                 = __('{wrong_image} Cash on delivery is not available','wse');
		$extracost            = __('{right_image} Extra Shipping Cost: {extra_cost}','wse');
		$courior              = __('{right_image} Will be shipped via : {courier_link}','wse');
		
		
		if (!empty($advancedsettings['products'])) {
		    $chosenproducts = implode(',', $advancedsettings['products']); 
			 } else { $chosenproducts=''; }
		
		if (!empty($advancedsettings['categories'])) { $chosencategories = implode(',', $advancedsettings['categories']); } else { $chosencategories=''; } 
	?><br />
	  <table class="table">
	     <th><span class="tableheading"><?php _e('Widget Display Options','wse'); ?></span></th><th></th>
	     <tr>
	      <td> <label for="location"><span class="wcelocation"><?php _e('Show Shipping Estimate widget on ?','wse'); ?></span></label></td>
	      <td> 
		  <select  id="wpewidgetlocation" name="<?php echo $this->advanced_settings_key; ?>[location]" style="width:450px">
				 <option value="01" <?php if ((isset($advancedsettings['location'])) && ($advancedsettings['location'] == "01")) { echo "selected"; } ?>><?php echo __('All Products','pcn'); ?></option>
		         <option value="02" <?php if ((isset($advancedsettings['location'])) && ($advancedsettings['location'] == "02")) { echo "selected"; } ?>><?php echo __('All Products Except Some','pcn'); ?></option>
				 <option value="03" <?php if ((isset($advancedsettings['location'])) && ($advancedsettings['location'] == "03")) { echo "selected"; } ?>><?php echo __('Specific Products','pcn'); ?></option>
				 <option value="04" <?php if ((isset($advancedsettings['location'])) && ($advancedsettings['location'] == "04")) { echo "selected"; } ?>><?php echo __('All Products of Specific Categories','pcn'); ?></option>
				 
		  </select>
	      </td>
	      </tr>
	      <tr style="<?php if ((isset($advancedsettings['location'])) && ( ($advancedsettings['location'] == 02) || ($advancedsettings['location'] == 03))) { echo "display:;"; } else { echo 'display:none;'; } ?>" id="wpechoseproducts" >
			  <td>
              <label for="products"><span class="pcnformfield"><?php echo __('Select Products','pcn'); ?></span></label>
	          </td>
			  <td>
			    <select data-placeholder="<?php _e('Choose Products','pcn'); ?>" name="<?php echo $this->advanced_settings_key; ?>[products][]" multiple id="wpeproductselect" style="width:450px">
                 <?php foreach ($posts_array as $post) { ?>
				 <option value="<?php echo $post->ID; ?>" <?php if (preg_match('/\b'.$post->ID.'\b/', $chosenproducts )) { echo 'selected';}?>>#<?php echo $post->ID; ?>- <?php echo $post->post_title; ?></option>
				 <?php } ?>
                </select>
              </td>
	      </tr>
		  <tr style="<?php if ((isset($advancedsettings['location'])) &&  ($advancedsettings['location'] == 04) ) { echo "display:;"; } else { echo 'display:none;'; } ?>" id="wpechosecategories" >
			  <td>
              <label for="categories"><span class="pcnformfield"><?php echo __('Select Categories','pcn'); ?></span></label>
	          </td>
			  <td>
			    <select data-placeholder="<?php _e('Choose Categories','pcn'); ?>" name="<?php echo $this->advanced_settings_key; ?>[categories][]" id="wpecategoryselect" multiple style="width:450px">
                 <?php foreach ($categories as $category) { ?>
				 <option value="<?php echo $category->term_id; ?>" <?php if (preg_match('/\b'.$category->term_id.'\b/', $chosencategories )) { echo 'selected';}?>>#<?php echo $category->term_id; ?>- <?php echo $category->name; ?></option>
				 <?php } ?>
                 </select>
              </td>
		  </tr>
	  </table>
	  <br />
	  <table class="table">
	  <tr><th><span class="tableheading"><?php _e('Output Localization','wse'); ?></span></th><th></th></tr>
	  <tr>
                        <th scope="row"><?php _e('Shipping Available at','wse'); ?></th>
                        <td>
                            <input type="text" id="availability_1" name="<?php echo $this->advanced_settings_key; ?>[strings][availability_1]" class="availability_1" value="<?php if (isset($advancedsettings['strings']['availability_1'])) { echo $advancedsettings['strings']['availability_1']; } else { echo $availstring1; } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Shipping Not Available at','wse'); ?></th>
                        <td>
                            <input type="text" id="availability_2" name="<?php echo $this->advanced_settings_key; ?>[strings][availability_2]" class="availability_2" value="<?php if (isset($advancedsettings['strings']['availability_1'])) { echo $advancedsettings['strings']['availability_2']; } else { echo $availstring2; } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Change','wse'); ?></th>
                        <td>
                            <input type="text" id="change" name="<?php echo $this->advanced_settings_key; ?>[strings][change]" class="change" value="<?php if (isset($advancedsettings['strings']['availability_1'])) { echo $advancedsettings['strings']['change']; } else { echo __('Change','wse'); } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Estimate Delivery Date','wse'); ?></th>
                        <td>
                            <input type="text" id="edd_input" name="<?php echo $this->advanced_settings_key; ?>[strings][edd]" class="edd_input" value="<?php if (isset($advancedsettings['strings']['edd'])) { echo $advancedsettings['strings']['edd']; } else { echo $eddstring; } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Cash on Delivery is available','wse'); ?></th>
                        <td>
                            <input type="text" id="cod1" name="<?php echo $this->advanced_settings_key; ?>[strings][cod1]" class="cod1" value="<?php if (isset($advancedsettings['strings']['cod1'])) { echo $advancedsettings['strings']['cod1']; } else { echo $cod1; } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Cash on Delivery is not available','wse'); ?></th>
                        <td>
                            <input type="text" id="cod2" name="<?php echo $this->advanced_settings_key; ?>[strings][cod2]" class="cod2" value="<?php if (isset($advancedsettings['strings']['cod2'])) { echo $advancedsettings['strings']['cod2']; } else { echo $cod2; } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Extra Shipping Cost','wse'); ?></th>
                        <td>
                            <input type="text" id="cod2" name="<?php echo $this->advanced_settings_key; ?>[strings][extracost]" class="extracost" value="<?php if (isset($advancedsettings['strings']['extracost'])) { echo $advancedsettings['strings']['extracost']; } else { echo $extracost; } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Will be shipped via','wse'); ?></th>
                        <td>
                            <input type="text" id="courior" name="<?php echo $this->advanced_settings_key; ?>[strings][courior]" class="courior" value="<?php if (isset($advancedsettings['strings']['courior'])) { echo $advancedsettings['strings']['courior']; } else { echo $courior; } ?>" size="60">
                        </td>
      </tr>
	   <tr>
                        <th scope="row"><?php _e('Invalid Area Code','wse'); ?></th>
                        <td>
                            <input type="text" id="finvalid" name="<?php echo $this->advanced_settings_key; ?>[strings][invalid]" class="finvalid" value="<?php if (isset($advancedsettings['strings']['invalid'])) { echo $advancedsettings['strings']['invalid']; } else { echo __('{wrong_image} Please enter a valid area code','wse');; } ?>" size="60">
                        </td>
      </tr>
	  	  
	  </table>
	  <br />
      <br />
	  <table class="table" id="wse-variables">
	  <td><span class="tableheading"><?php _e('Variables','wse'); ?></span>
	  </td><td>
	  <table class="table">
	  <tr><td>{right_image}</td><td><?php _e('Displays right icon image','wse'); ?></td></tr>
	  <tr><td>{wrong_image}</td><td><?php _e('Displays wrong icon image','wse'); ?></td></tr>
	  <tr><td>{area_code}</td><td><?php _e('Entered Area code','wse'); ?></td></tr>
	  <tr><td>{edd_date}</td><td><?php _e('Estimated Delivery Date','wse'); ?></td></tr>
	  <tr><td>{delivery_days}</td><td><?php _e('Estimated Delivery Time in days','wse'); ?></td></tr>
	  <tr><td>{extra_cost}</td><td><?php _e('Extra Shipping Cost','wse'); ?></td></tr>
	  <tr><td>{courier_link}</td><td><?php _e('Courier Link ','wse'); ?></td></tr>
	  </table>
	  </td>
	  </table>
	  
	  <table class="table">
	  <tr><th><span class="tableheading"><?php _e('Form Localization','wse'); ?></span>
	  </th><th></th></tr>
	  <tr>
                        <th scope="row"><?php _e('Check Shipping Availability','wse'); ?></th>
                        <td>
                            <input type="text" id="headingtext" name="<?php echo $this->advanced_settings_key; ?>[fronttexts][heading]" class="frontheading" value="<?php if (isset($advancedsettings['fronttexts']['heading'])) { echo $advancedsettings['fronttexts']['heading']; } else { echo __('Check Shipping Availability','wse');; } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Placeholder','wse'); ?></th>
                        <td>
                            <input type="text" id="fplaceholder" name="<?php echo $this->advanced_settings_key; ?>[fronttexts][placeholder]" class="fplaceholder" value="<?php if (isset($advancedsettings['fronttexts']['placeholder'])) { echo $advancedsettings['fronttexts']['placeholder']; } else { echo __('Enter Area Code','wse');; } ?>" size="60">
                        </td>
      </tr>
	  <tr>
                        <th scope="row"><?php _e('Check','wse'); ?></th>
                        <td>
                            <input type="text" id="fcheck" name="<?php echo $this->advanced_settings_key; ?>[fronttexts][check]" class="fcheck" value="<?php if (isset($advancedsettings['fronttexts']['check'])) { echo $advancedsettings['fronttexts']['check']; } else { echo __('check','wse');; } ?>" size="60">
                        </td>
      </tr>
	
	  </table>
	<?php }
	
	

	function add_admin_menus() {
	   global $general_wpesettings_page;
	    $general_wpesettings_page = add_submenu_page( 'woocommerce', __('Shipping Estimates'), __('Shipping Estimates'), 'manage_woocommerce', $this->plugin_options_key, array(&$this, 'plugin_options_page'));
	}
	
	
	function plugin_options_page() {
		$tab = isset( $_GET['tab'] ) ? $_GET['tab'] : $this->general_settings_key;
		?>
		<div class="wrap">
		    <?php $this->plugin_options_tabs(); ?>
			<form method="post" action="options.php">
				<?php wp_nonce_field( 'update-options' ); ?>
				<?php settings_fields( $tab ); ?>
				<?php do_settings_sections( $tab ); ?>
				<center><input type="submit" name="submit" id="submit" class="btn btn-success" value="<?php _e('Save Changes','pcn'); ?>"></center>
			</form>
		</div>
		<?php
	}
	

	function plugin_options_tabs() {
		$current_tab = isset( $_GET['tab'] ) ? $_GET['tab'] : $this->general_settings_key;
        echo '<h2 class="nav-tab-wrapper">';
		foreach ( $this->plugin_settings_tabs as $tab_key => $tab_caption ) {
			$active = $current_tab == $tab_key ? 'nav-tab-active' : '';
			echo '<a class="nav-tab ' . $active . '" href="?page=' . $this->plugin_options_key . '&tab=' . $tab_key . '">' . $tab_caption . '</a>';	
		}
		echo '</h2>';
	}
	
	

}

new wpe_add_settings_page_class();




?>