<?php
class wse_shipping_estimate_widget_display {

      private $wse_general_settings = 'wse_general_settings';
	  private $wse_advanced_settings = 'wse_advanced_settings';
	 
      public function __construct() {
	       add_action( 'init',  array(&$this,'wse_start_areacode_session'));
	       add_action( 'wp_ajax_verify_areacode', array(&$this, 'area_code_output') );
	       add_action( 'wp_ajax_nopriv_verify_areacode', array(&$this, 'area_code_output') );	
		   add_action( 'wp_ajax_clear_areacode_Session', array(&$this, 'clear_area_code') );
	       add_action( 'wp_ajax_nopriv_clear_areacode_Session', array(&$this, 'clear_area_code') );
		   add_action( 'woocommerce_after_add_to_cart_form',array(&$this, 'wse_display_shipping_estimate_widget') );
       }
	  
	  public function wse_start_areacode_session() {
        if(!session_id()) {
        session_start();
      }
       }
	  public function area_code_output() {
	   $areacode= $_POST['area_code'];
	   $this->area_code_output_text($areacode);
	  
	   die();
	  }
	  
	  public function clear_area_code() {
	    unset($_SESSION['area_code']);
	   die();
	  }
	  
	  
	  public function area_code_output_text($areacode) { 
	    $advanced_settings       = (array) get_option( $this->wse_advanced_settings );
		$newstrings              = $advanced_settings['strings'];
		$estimates               = (array) get_option( $this->wse_general_settings );
		$match                   = 0;
		
		
		
		foreach ($estimates as $estimate) {
		 if (isset($estimate['codes'])) {
		  $codes= $this->filter_area_codes($estimate['codes']);
		 } 
		   if (isset($codes) && ($codes != '') ) {
		   foreach ($codes as $code) {
		     if ($areacode == $code) {
			    $strings = new wse_generate_frontend_strings();
			    
				$string1 = $strings->wse_frontend_string1($areacode,$estimate,$newstrings);
				$string2 = $strings->wse_frontend_string2($areacode,$estimate,$newstrings);
				
				if (isset($estimate['checkbox2'])) {
				  $string3 = $strings->wse_frontend_string3($areacode,$estimate,$newstrings);
				 }
				if (isset($estimate['checkbox3'])) {
				  $string4 = $strings->wse_frontend_string4($areacode,$estimate,$newstrings);
				 }
				if (isset($estimate['checkbox4'])) {
				  $string5 = $strings->wse_frontend_string5($areacode,$estimate,$newstrings);
				}
				if (isset($estimate['checkbox5'])) {
				 $string6 = $strings->wse_frontend_string6($areacode,$estimate,$newstrings);
				}
				if (isset($estimate['checkbox6'])) {
				 $string7 = $strings->wse_frontend_string7($areacode,$estimate,$newstrings);
			    }
			  ?>
		    
			   
			   <li><?php echo $string1; ?> (<a id="changeareacode"><?php echo $string2; ?></a>)
			   </li>
			   <?php if (isset($estimate['checkbox2']) && ($estimate['checkbox2'] == "yes") ) { ?>
			   <li><?php echo $string3; ?></li>
			   <?php }
			   if (isset($estimate['checkbox3']) && ($estimate['checkbox3'] == "yes")) { ?>
			   <li><?php echo $string4; ?></li>
			   <?php }
			   if (isset($estimate['checkbox4']) && ($estimate['checkbox4'] == "yes")) { ?>
			   <li><?php echo $string5; ?></li>
			   <?php }
			   if (isset($estimate['checkbox5']) && ($estimate['checkbox5'] == "yes")) { ?>
			   <li><?php echo $string6; ?></li>
			   <?php }
			    if (isset($estimate['checkbox6']) && ($estimate['checkbox6'] == "yes") && isset($string7) && ($string7 != '')) { ?>
			   <li><?php echo $string7; ?></li>
			   <?php }
			 ?>  <?php $match++; }
		    }
		   }
		  }
		  
		  if ($match >= 1) {
		     $_SESSION["area_code"] = $areacode;
			  
		  } else {
		     unset($_SESSION['area_code']);
		  }
		
        	
		 
	  }
	  
	  
	  
	  
	  
	  
	  public function filter_area_codes($codes) {
	    $result = preg_replace_callback('/(\d+)-(\d+)/', function($m) {
            return implode(',', range($m[1], $m[2]));
          }, $codes);
	    $result = explode( ',', $result );
		return $result;
	  }
	  
	
	  
	  public function wse_display_shipping_estimate_widget() {
	     global $post,$product;
		 
		 $wrongimage              = ''.wse_PLUGIN_URL.'assets/images/close.png';
		 $productid               = $product->id;
		 $widget_visibility       = $this->check_widget_visibility($productid);
		 $advanced_settings       = (array) get_option( $this->wse_advanced_settings );
		 $fronttexts              = $advanced_settings['fronttexts'];
		 $strings                 = $advanced_settings['strings'];
		 
		  if (isset($strings['invalid']) && ($strings['invalid'] != '')) {
                  $invalidtext = $strings['invalid'];  
			 } else {
                  $invalidtext = __('{wrong_image} Please enter a valid areacode','wse'); 
		    } 
		     if  (preg_match("{wrong_image}", $invalidtext)) {
		          $wrongimage       = '<img src="'.$wrongimage.'">';
		          $invalidtext      = preg_replace('{wrong_image}', $wrongimage, $invalidtext);
		         
		     }
			      $invalidtext      = str_replace(array('{','}'),'',$invalidtext);
				
		 
		 if ($widget_visibility == 1) {
		    wp_enqueue_script( 'wse-frontend', ''.wse_PLUGIN_URL.'assets/js/frontend.js' );
			wp_enqueue_style( 'wse-frontend', ''.wse_PLUGIN_URL.'assets/css/frontend.css' );
		    $translation_array = array( 
		      'string1' => __( ''.$invalidtext.'' ,'pcn'),
			  
		    );
            wp_localize_script( 'wse-frontend', 'wse', $translation_array );
			
			$this->show_estimate_form($fronttexts);
		 }
	  }
	  
	  public function show_estimate_form($fronttexts) {
	    
		   if (isset($fronttexts['heading']) && ($fronttexts['heading'] != '')) {
                  $headingtext= $fronttexts['heading'];  
			 } else {
                  $headingtext = __('Check Shipping Availability','wse'); 
				} 
				
		    if (isset($fronttexts['placeholder']) && ($fronttexts['placeholder'] != '')) {
                  $placeholder= $fronttexts['placeholder'];  
			 } else {
                  $placeholder = __('Enter Area Code','wse'); 
				} 
				
			if (isset($fronttexts['check']) && ($fronttexts['check'] != '')) {
                  $check= $fronttexts['check'];  
			 } else {
                  $check = __('check','wse'); 
				} 
	    
		    if (isset($_SESSION['area_code'])) { 
		          $areacode = $_SESSION['area_code'];
		          $this->show_session_estimate_form($headingtext,$placeholder,$check,$areacode);
		        } else {
	              $this->show_new_estimate_form($headingtext,$placeholder,$check); 
		        } 
	  }
	  
	  public function show_new_estimate_form($headingtext,$placeholder,$check) { 
	  
	  ?>
	        <div class="shipping-estimate-wrap">
                <div class="shipping-estimate-input">
				<div class="wes-heading">
				<?php echo $headingtext; ?>
				</div>
                        <input type="text" maxlength="6" placeholder="<?php echo $placeholder; ?>" autocomplete="off" value="" name="areacode" id="areacode">
                        <input type="submit" href="" id="areacode-submit" class="button" value="<?php echo $check; ?>">
                
				</div>
 

                <div id="areacode-response" style="display:none;">
                </div>
         </div>
	  <?php }
	  
	  public function show_session_estimate_form($headingtext,$placeholder,$check,$areacode) { ?>
	          <div class="shipping-estimate-wrap">
                <div class="shipping-estimate-input" style="display:none;">
				<div class="wes-heading">
				<?php echo $headingtext; ?>
				</div>
                        <input type="text" maxlength="6" placeholder="<?php echo $placeholder; ?>" autocomplete="off" value=""  name="areacode" id="areacode">
                        <input type="submit" href="" id="areacode-submit" class="button" value="<?php echo $check; ?>">
                </div>


                <div id="areacode-response" style="">
                   <?php $this->area_code_output_text($areacode); ?>
                </div>
                </div>
	  <?php }
	  
	  public function check_widget_visibility($productid) {
	     $advanced_settings       = (array) get_option( $this->wse_advanced_settings );
	     $allowedproducts         = '';
		 $allowedcats             = '';
		 
		 if (isset($advanced_settings['products']) ) {
		   $products                = $advanced_settings['products'];
		   
		    if (isset($products) && is_array($products)) {
				         foreach ($products as $item) {
				           $allowedproducts.=''.$item.',';
				       }
				      }
		 }
		 
		 if (isset($advanced_settings['categories']) ) {
		   $categories                = $advanced_settings['categories'];
		   
		    if (isset($categories) && is_array($categories)) {
				         foreach ($categories as $item) {
				           $allowedcats.=''.$item.',';
				       }
				      }
		 }
		 
		 $allowedproducts  =substr_replace( $allowedproducts, "", -1);
		 $allowedcats      =substr_replace( $allowedcats, "", -1);
		 
		 $widget_visibility=0;
		 
		  if (isset($advanced_settings['location'])) {
		    switch($advanced_settings['location']) {
			  case 01:
			   return 01;
			  break;
			  
			  case 02:
			  
			   if (isset($advanced_settings['products']) ) {
			        
					
					    if (preg_match('/\b'.$productid.'\b/', $allowedproducts )) {
                          return 0;
                         } else {
						  return 01;
						 }
					  
					}
			  break;
			  
			  case 03:
			   if (isset($advanced_settings['products']) ) {
			        
					  if (preg_match('/\b'.$productid.'\b/', $allowedproducts )) {
                          return 01;
                         } 
					}
			  break;
			  
			  case 04:
			    $catvisibility=0;
				$terms = get_the_terms( $productid, 'product_cat' );
				
				   if (isset($advanced_settings['categories']) ) {
			        
					  foreach ($categories as $category) {
					    if ((isset($terms)) && (is_array($terms)) && (sizeof($terms) >= 1) ) {
						  foreach ($terms as $term) {
						   if ($category == $term->term_id) {
						    $catvisibility++;
						   }
						  }
						}
					  }
					}
				if ($catvisibility >= 01) {
				 return 01;
				}
               		
			  break;
			  
			  default:
			   return 01;
			  
			}
		  }
		 return $widget_visibility;
	  }
	  
	  
}

new wse_shipping_estimate_widget_display();

?>